var __assign = this && this.__assign || function () {
  __assign = Object.assign || function (t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
      s = arguments[i];

      for (var p in s) {
        if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
      }
    }

    return t;
  };

  return __assign.apply(this, arguments);
};

import { jsx as _jsx } from "react/jsx-runtime";

function AlignRight(props) {
  return _jsx("svg", __assign({
    width: 48,
    height: 48,
    viewBox: "0 0 48 48",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, props, {
    children: _jsx("path", {
      d: "M39.42 42.245h-2.606V5.755h2.606v36.49zm-5.212-7.82H15.964v-7.818h18.244v7.819zm0-13.031H8.145v-7.82h26.063v7.82z",
      fill: "currentColor"
    }, void 0)
  }), void 0);
}

export var ReactComponent = AlignRight;
export default AlignRight;

